LinuxQuestions.org
Help answer threads with 0 replies.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 10-06-2014, 07:41 PM   #76
metaschima
Senior Member
 
Registered: Dec 2013
Distribution: Slackware
Posts: 1,982

Rep: Reputation: 492Reputation: 492Reputation: 492Reputation: 492Reputation: 492

Quote:
Originally Posted by ReaperX7 View Post
The Gentoo project is essentially the same thing without having to go through the entire process of using systemd's entire source. Eudev is already extracted and has it's own configure and Makefile scripts to save time and wasted resources. Eudev-1.9 is systemd-udev-215, plus it has everything already correctly named leaving you with less work to script up.

Eudev-1.10 works fine with the modified rc.udev script on my end just fine.
Quote:
Originally Posted by hendrickxm View Post
Just wanted to say that rlworkman has updated the udev from systemd to 215.
I'm a bit late to this thread, but would like to try eudev or should I try rlworkman's udev ? I'm leaning towards eudev ATM.

Do I need any post-install fixes like the rc.udev fix ?

I understand the caveat emptor, but I still wanna know about any known bugs before I have to deal with them on a broken system. I know this is a critical subsystem and could break the system. Still I'm willing to try it with a bit more info, which is lacking in this field (I mean it is hard to find documentation on eudev and rlworkman's udev fork).
 
1 members found this post helpful.
Old 10-06-2014, 08:07 PM   #77
ReaperX7
LQ Guru
 
Registered: Jul 2011
Location: California
Distribution: Slackware64-15.0 Multilib
Posts: 6,558
Blog Entries: 15

Rep: Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097
There should be no need to redo any scripts for either one. The only reason you might need to is adjusting the /path/to for where the binary udevd is located, but that would depend on the ./configure setup entirely, so if there was no install path change then it would be the same.

Last edited by ReaperX7; 10-06-2014 at 08:09 PM.
 
1 members found this post helpful.
Old 10-07-2014, 11:13 AM   #78
metaschima
Senior Member
 
Registered: Dec 2013
Distribution: Slackware
Posts: 1,982

Rep: Reputation: 492Reputation: 492Reputation: 492Reputation: 492Reputation: 492
Quote:
Originally Posted by Didier Spaier View Post
PPS I see that some folks are downloading the files one by one using a browser. Better type:
Code:
lftp -c "mirror <above URL>"
This doesn't work, probably because it is http not ftp. wget also doesn't work.
 
Old 10-07-2014, 11:26 AM   #79
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-15.0
Posts: 11,057

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by metaschima View Post
This doesn't work, probably because it is http not ftp. wget also doesn't work.
That's strange as it used to work. wget works here though. Anyway I have to do some cleaning there. When it'll be done I'll provide a tarball of the whole directory and post when it'll be ready.
 
Old 10-07-2014, 12:03 PM   #80
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-15.0
Posts: 11,057

Original Poster
Rep: Reputation: Disabled
To get the tarball:
Code:
wget http://slint.fr/misc/build-eudev-1.10.tar.xz
You'll also need the source tarball that you can get here.

Take the last one at time of writing: version 1.10.

WARNING I also removed the directory http://slint.fr/misc/eudev

Last edited by Didier Spaier; 10-07-2014 at 01:38 PM. Reason: WARNING added.
 
1 members found this post helpful.
Old 10-07-2014, 01:08 PM   #81
metaschima
Senior Member
 
Registered: Dec 2013
Distribution: Slackware
Posts: 1,982

Rep: Reputation: 492Reputation: 492Reputation: 492Reputation: 492Reputation: 492
Thanks that is better. Technically the lftp command did do something but it took several hours and I had to Ctrl-C out.
 
Old 10-07-2014, 02:02 PM   #82
metaschima
Senior Member
 
Registered: Dec 2013
Distribution: Slackware
Posts: 1,982

Rep: Reputation: 492Reputation: 492Reputation: 492Reputation: 492Reputation: 492
Alright, it seems to work. The only thing is '/dev/shm' does not exist and is not mounted. Any definitive solution ? I've read the ones in this thread, but there doesn't appear to be a consensus on how to fix this.
 
Old 10-07-2014, 02:15 PM   #83
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-15.0
Posts: 11,057

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by metaschima View Post
Alright, it seems to work. The only thing is '/dev/shm' does not exist and is not mounted. Any definitive solution ? I've read the ones in this thread, but there doesn't appear to be a consensus on how to fix this.
You could try Robby's current way, that is to do that in rc.udev. See his comments about that in his LIBUDEV.README and how he does it in rc.udev.new. He doesn't pretend that his solution be definitive however...

Last edited by Didier Spaier; 10-07-2014 at 03:23 PM.
 
1 members found this post helpful.
Old 10-07-2014, 03:41 PM   #84
metaschima
Senior Member
 
Registered: Dec 2013
Distribution: Slackware
Posts: 1,982

Rep: Reputation: 492Reputation: 492Reputation: 492Reputation: 492Reputation: 492
Here is the patch for the current solution in case someone wants it:
Code:
--- rc.udev	2014-06-07 16:39:39.270745623 -0500
+++ /etc/rc.d/rc.udev	2014-10-07 15:20:27.819163258 -0500
@@ -22,6 +22,13 @@
   fi
 }
 
+mount_devshm() {
+  if ! check_mounted $UDEV_ROOT/shm tmpfs ; then
+    mkdir $UDEV_ROOT/shm 2> /dev/null
+    mount $UDEV_ROOT/shm
+  fi
+}
+
 case "$1" in
     start)
         # Sanity check #1, udev requires that the kernel support devtmpfs:
@@ -101,6 +108,7 @@
 	fi
 	# Mount devpts
 	mount_devpts
+	mount_devshm
 
         if ! /sbin/pidof udevd 1>/dev/null 2>/dev/null; then # start udevd
           echo "Starting udevd:  /sbin/udevd --daemon"
This fixes /dev/shm.
 
Old 10-19-2014, 08:08 AM   #85
harryhaller
Member
 
Registered: Sep 2004
Distribution: Slackware-14.2
Posts: 468

Rep: Reputation: Disabled
Angry

Quote:
Originally Posted by Didier Spaier View Post
I draw your attention on one obvious change: the new hardware database index /etc/udev/hwdb.bin replaces the files stored in /lib/udev/keymaps, see udevadm hwdb [options] in (new) "man udevadm".

I guess that some Slackers won't be happy with the replacement of text files by a binary database, however all we need to know now and here is "does it work?".
[/code]
That's a great pity since I hack my keymaps.
 
Old 10-20-2014, 12:16 AM   #86
ReaperX7
LQ Guru
 
Registered: Jul 2011
Location: California
Distribution: Slackware64-15.0 Multilib
Posts: 6,558
Blog Entries: 15

Rep: Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097
You should be able to still create custom keymaps that can be loaded.

I found a hint posted here:

https://ask.fedoraproject.org/en/que...eymap-is-gone/
 
1 members found this post helpful.
Old 10-21-2014, 06:53 AM   #87
harryhaller
Member
 
Registered: Sep 2004
Distribution: Slackware-14.2
Posts: 468

Rep: Reputation: Disabled
Thanks Reaper - it is, as I fear, more complicated and, indeed, absurdly, sometimes requires a reboot, though only when deleting a keyboard.
 
Old 10-21-2014, 08:26 PM   #88
ReaperX7
LQ Guru
 
Registered: Jul 2011
Location: California
Distribution: Slackware64-15.0 Multilib
Posts: 6,558
Blog Entries: 15

Rep: Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097Reputation: 2097
You can always reload udev by force, but it's not a daemon you really want to as udev is technically a one-shot loaded daemon from init that is more of it's own subsystem than an actual daemon.
 
1 members found this post helpful.
Old 11-01-2014, 08:37 AM   #89
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-15.0
Posts: 11,057

Original Poster
Rep: Reputation: Disabled
eudev 2.1.1 (udev 217) has been released

systemd 217 has been released and the Gentoo eudev project released eudev 2.1.1 just one day later.

I've updated the build material targeting Slackware 14.1 accordingly. The build tarball now includes the source tarball.

Changes in packaging:
  • /etc/rc.d/rc.udev.new now creates /dev/shm to mount tmpfs, thanks to metaschima for the patch and Robby Workman for the initial idea.
  • The --with-firmware-path configure option has been removed (see below for the upstream change).
  • the patch rule_generator.diff.gz has been sligthly edited to follow a change in write_cd_rules.
Most noticeable changes upstream with respect to udev quoted from the announce:
Code:
* Timeout for udev workers has been increased from 1 to 3
  minutes, but a warning will be printed after 1 minute to
  help diagnose kernel modules that take a long time to load.
* Udev rules can now remove tags on devices with TAG-="foobar".
* "udevadm hwdb --update" learnt a new switch "--usr" for
  placing the rebuilt hardware database in /usr instead of
  /etc. When used only hardware database entries stored in
  /usr will be used, and any user database entries in /etc are
  ignored. This functionality is useful for vendors to ship a
  pre-built database on systems where local configuration is
  unnecessary or unlikely.
* Userspace firmware loading support has been removed and
  the minimum supported kernel version is thus bumped to 3.7.
As usual, use at your own risks and only if you know what you are doing. Just in case, check possible overheating following the upgrade.

I compared the /dev file trees just after logging in at runlevel 3 and only found the addition of /dev/rtc with the new udev vs udev 182. But my Slackware 14.1 is far from being a virgin, so please do not draw hasty conclusions.

Have fun!

Last edited by Didier Spaier; 11-01-2014 at 04:07 PM.
 
1 members found this post helpful.
Old 11-01-2014, 10:35 AM   #90
metaschima
Senior Member
 
Registered: Dec 2013
Distribution: Slackware
Posts: 1,982

Rep: Reputation: 492Reputation: 492Reputation: 492Reputation: 492Reputation: 492
The new one seems to work ok. /dev/shm and /dev/rtc are there. System is cool, no overheating at all.
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
immutable ip address for testing purposes? stateless Linux - Networking 3 02-13-2014 02:34 PM
Slackware and eudev project jb.1234abcd Slackware 1 12-22-2012 07:14 PM
duplicating http-traffic for testing purposes pretos Linux - Server 1 01-20-2011 05:58 AM
[SOLVED] For learning purposes and tinkering: Slackware/Gentoo? (8 m.o newbie) Ubunoob001 Slackware 30 10-19-2010 10:38 PM
[Announce] LutelWall Firewall Configuration Tool - finally released for use/testing. GrapefruiTgirl Linux - Security 0 01-06-2010 06:17 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 10:46 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration